# Interface methods for submodule: ScalarChanAndVeseDenseLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: ScalarChanAndVeseDenseLevelSetImageFilter
class ScalarChanAndVeseDenseLevelSetImageFilterProxy(_InPlaceImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetDifferenceFunction(self, functionIndex: int):
		""""""
		...

	def SetDifferenceFunction(self, functionIndex: int, function) -> None:
		""""""
		...

	def SetNumberOfIterations(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfIterations(self) -> int:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def SetMaximumRMSError(self, _arg: float) -> None:
		""""""
		...

	def GetMaximumRMSError(self) -> float:
		""""""
		...

	def SetRMSChange(self, _arg: float) -> None:
		""""""
		...

	def GetRMSChange(self) -> float:
		""""""
		...

	def SetInitializedState(self, _arg: bool) -> None:
		""""""
		...

	def GetInitializedState(self) -> bool:
		""""""
		...

	def InitializedStateOn(self) -> None:
		""""""
		...

	def InitializedStateOff(self) -> None:
		""""""
		...

	def SetManualReinitialization(self, _arg: bool) -> None:
		""""""
		...

	def GetManualReinitialization(self) -> bool:
		""""""
		...

	def ManualReinitializationOn(self) -> None:
		""""""
		...

	def ManualReinitializationOff(self) -> None:
		""""""
		...

	def SetElapsedIterations(self, _arg: int) -> None:
		""""""
		...

	def GetElapsedIterations(self) -> int:
		""""""
		...

	def SetLevelSet(self, i: int, levelSet) -> None:
		""""""
		...

	def GetLevelSet(self, i: int):
		""""""
		...

	def SetLookup(self, lookup: Sequence[int]) -> None:
		""""""
		...

	def SetKdTree(self, kdtree) -> None:
		""""""
		...

	def SetFunctionCount(self, n: int) -> None:
		""""""
		...

	def SetReinitializeCounter(self, _arg: int) -> None:
		""""""
		...

	def GetReinitializeCounter(self) -> int:
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetFeatureImage(self, f) -> None:
		""""""
		...

